import{s as At,n as Nt,o as Ht}from"../chunks/scheduler.182ea377.js";import{S as Ot,i as qt,g as r,s as o,p as f,A as Vt,h as n,f as s,c as i,j as u,q as m,m as p,k as d,v as t,a as l,r as g,d as _,t as v,u as b}from"../chunks/index.008d68e4.js";import{D as A}from"../chunks/Docstring.7aec8b85.js";import{I as ze}from"../chunks/IconCopyLink.96bbb92b.js";function zt(dt){let x,ve,C,S,fe,N,We,te,lt="UniPCMultistepScheduler",be,H,ct='<code>UniPCMultistepScheduler</code> is a training-free framework designed for fast sampling of diffusion models. It was introduced in <a href="https://huggingface.co/papers/2302.04867" rel="nofollow">UniPC: A Unified Predictor-Corrector Framework for Fast Sampling of Diffusion Models</a> by Wenliang Zhao, Lujia Bai, Yongming Rao, Jie Zhou, Jiwen Lu.',xe,O,ut=`It consists of a corrector (UniC) and a predictor (UniP) that share a unified analytical form and support arbitrary orders.
UniPC is by design model-agnostic, supporting pixel-space/latent-space DPMs on unconditional/conditional sampling. It can also be applied to both noise prediction and data prediction models. The corrector UniC can be also applied after any off-the-shelf solvers to increase the order of accuracy.`,Ce,q,pt="The abstract from the paper is:",ye,V,ht='<em>Diffusion probabilistic models (DPMs) have demonstrated a very promising ability in high-resolution image synthesis. However, sampling from a pre-trained DPM is time-consuming due to the multiple evaluations of the denoising network, making it more and more important to accelerate the sampling of DPMs. Despite recent progress in designing fast samplers, existing methods still cannot generate satisfying images in many applications where fewer steps (e.g., &lt;10) are favored. In this paper, we develop a unified corrector (UniC) that can be applied after any existing DPM sampler to increase the order of accuracy without extra model evaluations, and derive a unified predictor (UniP) that supports arbitrary order as a byproduct. Combining UniP and UniC, we propose a unified predictor-corrector framework called UniPC for the fast sampling of DPMs, which has a unified analytical form for any order and can significantly improve the sampling quality over previous methods, especially in extremely few steps. We evaluate our methods through extensive experiments including both unconditional and conditional sampling using pixel-space and latent-space DPMs. Our UniPC can achieve 3.87 FID on CIFAR10 (unconditional) and 7.51 FID on ImageNet 256×256 (conditional) with only 10 function evaluations. Code is available at <a href="https://github.com/wl-zhao/UniPC" rel="nofollow">this https URL</a>.</em>',Pe,y,w,me,z,je,se,ft="Tips",Te,W,mt="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",$e,j,gt=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>predict_x0=True</code> and <code>thresholding=True</code> to use dynamic thresholding. This thresholding method is unsuitable for latent-space diffusion models such as Stable Diffusion.`,Se,P,M,ge,R,Re,re,_t="UniPCMultistepScheduler",we,c,B,Be,ne,vt="<code>UniPCMultistepScheduler</code> is a training-free framework designed for the fast sampling of diffusion models.",Je,oe,bt=`This model inherits from <a href="/docs/diffusers/v0.25.0/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/v0.25.0/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Ye,U,J,Ze,ie,xt="Convert the model output to the corresponding type the UniPC algorithm needs.",Ke,D,Y,Ge,ae,Ct="One step for the UniC (B(h) version).",Qe,F,Z,Xe,de,yt="One step for the UniP (B(h) version). Alternatively, <code>self.solver_p</code> is used if is specified.",et,k,K,tt,le,Pt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,st,L,G,rt,ce,Tt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",nt,I,Q,ot,ue,$t=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep UniPC.`,Me,T,E,_e,X,it,pe,St="SchedulerOutput",Ue,$,ee,at,he,wt="Base class for the output of a scheduler’s <code>step</code> function.",De;return N=new ze({}),z=new ze({}),R=new ze({}),B=new A({props:{name:"class diffusers.UniPCMultistepScheduler",anchor:"diffusers.UniPCMultistepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"predict_x0",val:": bool = True"},{name:"solver_type",val:": str = 'bh2'"},{name:"lower_order_final",val:": bool = True"},{name:"disable_corrector",val:": List = []"},{name:"solver_p",val:": SchedulerMixin = None"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.UniPCMultistepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.UniPCMultistepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.UniPCMultistepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.UniPCMultistepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.UniPCMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, default <code>2</code>) &#x2014;
The UniPC order which can be any positive integer. The effective order of accuracy is <code>solver_order + 1</code>
due to the UniC. It is recommended to use <code>solver_order=2</code> for guided sampling, and <code>solver_order=3</code> for
unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.UniPCMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.UniPCMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.UniPCMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.UniPCMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and <code>predict_x0=True</code>.`,name:"sample_max_value"},{anchor:"diffusers.UniPCMultistepScheduler.predict_x0",description:`<strong>predict_x0</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use the updating algorithm on the predicted x0.`,name:"predict_x0"},{anchor:"diffusers.UniPCMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, default <code>bh2</code>) &#x2014;
Solver type for UniPC. It is recommended to use <code>bh1</code> for unconditional sampling when steps &lt; 10, and <code>bh2</code>
otherwise.`,name:"solver_type"},{anchor:"diffusers.UniPCMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, default <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.UniPCMultistepScheduler.disable_corrector",description:`<strong>disable_corrector</strong> (<code>list</code>, default <code>[]</code>) &#x2014;
Decides which step to disable the corrector to mitigate the misalignment between <code>epsilon_theta(x_t, c)</code>
and <code>epsilon_theta(x_t^c, c)</code> which can influence convergence for a large guidance scale. Corrector is
usually disabled during the first few steps.`,name:"disable_corrector"},{anchor:"diffusers.UniPCMultistepScheduler.solver_p",description:`<strong>solver_p</strong> (<code>SchedulerMixin</code>, default <code>None</code>) &#x2014;
Any other scheduler that if specified, the algorithm becomes <code>solver_p + UniC</code>.`,name:"solver_p"},{anchor:"diffusers.UniPCMultistepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.UniPCMultistepScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.UniPCMultistepScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L74"}}),J=new A({props:{name:"convert_model_output",anchor:"diffusers.UniPCMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.UniPCMultistepScheduler.convert_model_output.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.UniPCMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L365",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),Y=new A({props:{name:"multistep_uni_c_bh_update",anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update",parameters:[{name:"this_model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"last_sample",val:": FloatTensor = None"},{name:"this_sample",val:": FloatTensor = None"},{name:"order",val:": int = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update.this_model_output",description:`<strong>this_model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The model outputs at <code>x_t</code>.`,name:"this_model_output"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update.this_timestep",description:`<strong>this_timestep</strong> (<code>int</code>) &#x2014;
The current timestep <code>t</code>.`,name:"this_timestep"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update.last_sample",description:`<strong>last_sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The generated sample before the last predictor <code>x_{t-1}</code>.`,name:"last_sample"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update.this_sample",description:`<strong>this_sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The generated sample after the last predictor <code>x_{t}</code>.`,name:"this_sample"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_c_bh_update.order",description:`<strong>order</strong> (<code>int</code>) &#x2014;
The <code>p</code> of UniC-p at this step. The effective order of accuracy should be <code>order + 1</code>.`,name:"order"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L564",returnDescription:`
<p>The corrected sample tensor at the current timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),Z=new A({props:{name:"multistep_uni_p_bh_update",anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_p_bh_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"order",val:": int = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_p_bh_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model at the current timestep.`,name:"model_output"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_p_bh_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_p_bh_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.UniPCMultistepScheduler.multistep_uni_p_bh_update.order",description:`<strong>order</strong> (<code>int</code>) &#x2014;
The order of UniP at this timestep (corresponds to the <em>p</em> in UniPC-p).`,name:"order"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L435",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),K=new A({props:{name:"scale_model_input",anchor:"diffusers.UniPCMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L801",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),G=new A({props:{name:"set_timesteps",anchor:"diffusers.UniPCMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.UniPCMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L210"}}),Q=new A({props:{name:"step",anchor:"diffusers.UniPCMultistepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UniPCMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.UniPCMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.UniPCMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.UniPCMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_unipc_multistep.py#L720",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),X=new ze({}),ee=new A({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){x=r("meta"),ve=o(),C=r("h1"),S=r("a"),fe=r("span"),f(N.$$.fragment),We=o(),te=r("span"),te.textContent=lt,be=o(),H=r("p"),H.innerHTML=ct,xe=o(),O=r("p"),O.textContent=ut,Ce=o(),q=r("p"),q.textContent=pt,ye=o(),V=r("p"),V.innerHTML=ht,Pe=o(),y=r("h2"),w=r("a"),me=r("span"),f(z.$$.fragment),je=o(),se=r("span"),se.textContent=ft,Te=o(),W=r("p"),W.innerHTML=mt,$e=o(),j=r("p"),j.innerHTML=gt,Se=o(),P=r("h2"),M=r("a"),ge=r("span"),f(R.$$.fragment),Re=o(),re=r("span"),re.textContent=_t,we=o(),c=r("div"),f(B.$$.fragment),Be=o(),ne=r("p"),ne.innerHTML=vt,Je=o(),oe=r("p"),oe.innerHTML=bt,Ye=o(),U=r("div"),f(J.$$.fragment),Ze=o(),ie=r("p"),ie.textContent=xt,Ke=o(),D=r("div"),f(Y.$$.fragment),Ge=o(),ae=r("p"),ae.textContent=Ct,Qe=o(),F=r("div"),f(Z.$$.fragment),Xe=o(),de=r("p"),de.innerHTML=yt,et=o(),k=r("div"),f(K.$$.fragment),tt=o(),le=r("p"),le.textContent=Pt,st=o(),L=r("div"),f(G.$$.fragment),rt=o(),ce=r("p"),ce.textContent=Tt,nt=o(),I=r("div"),f(Q.$$.fragment),ot=o(),ue=r("p"),ue.textContent=$t,Me=o(),T=r("h2"),E=r("a"),_e=r("span"),f(X.$$.fragment),it=o(),pe=r("span"),pe.textContent=St,Ue=o(),$=r("div"),f(ee.$$.fragment),at=o(),he=r("p"),he.innerHTML=wt,this.h()},l(e){const a=Vt("svelte-1phssyn",document.head);x=n(a,"META",{name:!0,content:!0}),a.forEach(s),ve=i(e),C=n(e,"H1",{class:!0});var Fe=u(C);S=n(Fe,"A",{id:!0,class:!0,href:!0});var Mt=u(S);fe=n(Mt,"SPAN",{});var Ut=u(fe);m(N.$$.fragment,Ut),Ut.forEach(s),Mt.forEach(s),We=i(Fe),te=n(Fe,"SPAN",{"data-svelte-h":!0}),p(te)!=="svelte-psfofs"&&(te.textContent=lt),Fe.forEach(s),be=i(e),H=n(e,"P",{"data-svelte-h":!0}),p(H)!=="svelte-1tyrzxd"&&(H.innerHTML=ct),xe=i(e),O=n(e,"P",{"data-svelte-h":!0}),p(O)!=="svelte-16di28y"&&(O.textContent=ut),Ce=i(e),q=n(e,"P",{"data-svelte-h":!0}),p(q)!=="svelte-1cwsb16"&&(q.textContent=pt),ye=i(e),V=n(e,"P",{"data-svelte-h":!0}),p(V)!=="svelte-1n6uqo6"&&(V.innerHTML=ht),Pe=i(e),y=n(e,"H2",{class:!0});var ke=u(y);w=n(ke,"A",{id:!0,class:!0,href:!0});var Dt=u(w);me=n(Dt,"SPAN",{});var Ft=u(me);m(z.$$.fragment,Ft),Ft.forEach(s),Dt.forEach(s),je=i(ke),se=n(ke,"SPAN",{"data-svelte-h":!0}),p(se)!=="svelte-12o6a2j"&&(se.textContent=ft),ke.forEach(s),Te=i(e),W=n(e,"P",{"data-svelte-h":!0}),p(W)!=="svelte-pt2glg"&&(W.innerHTML=mt),$e=i(e),j=n(e,"P",{"data-svelte-h":!0}),p(j)!=="svelte-j7jp76"&&(j.innerHTML=gt),Se=i(e),P=n(e,"H2",{class:!0});var Le=u(P);M=n(Le,"A",{id:!0,class:!0,href:!0});var kt=u(M);ge=n(kt,"SPAN",{});var Lt=u(ge);m(R.$$.fragment,Lt),Lt.forEach(s),kt.forEach(s),Re=i(Le),re=n(Le,"SPAN",{"data-svelte-h":!0}),p(re)!=="svelte-psfofs"&&(re.textContent=_t),Le.forEach(s),we=i(e),c=n(e,"DIV",{class:!0});var h=u(c);m(B.$$.fragment,h),Be=i(h),ne=n(h,"P",{"data-svelte-h":!0}),p(ne)!=="svelte-lu1m8w"&&(ne.innerHTML=vt),Je=i(h),oe=n(h,"P",{"data-svelte-h":!0}),p(oe)!=="svelte-1coxf99"&&(oe.innerHTML=bt),Ye=i(h),U=n(h,"DIV",{class:!0});var Ie=u(U);m(J.$$.fragment,Ie),Ze=i(Ie),ie=n(Ie,"P",{"data-svelte-h":!0}),p(ie)!=="svelte-ixnexx"&&(ie.textContent=xt),Ie.forEach(s),Ke=i(h),D=n(h,"DIV",{class:!0});var Ee=u(D);m(Y.$$.fragment,Ee),Ge=i(Ee),ae=n(Ee,"P",{"data-svelte-h":!0}),p(ae)!=="svelte-d0n1u7"&&(ae.textContent=Ct),Ee.forEach(s),Qe=i(h),F=n(h,"DIV",{class:!0});var Ae=u(F);m(Z.$$.fragment,Ae),Xe=i(Ae),de=n(Ae,"P",{"data-svelte-h":!0}),p(de)!=="svelte-s6vwmd"&&(de.innerHTML=yt),Ae.forEach(s),et=i(h),k=n(h,"DIV",{class:!0});var Ne=u(k);m(K.$$.fragment,Ne),tt=i(Ne),le=n(Ne,"P",{"data-svelte-h":!0}),p(le)!=="svelte-1rkfgpx"&&(le.textContent=Pt),Ne.forEach(s),st=i(h),L=n(h,"DIV",{class:!0});var He=u(L);m(G.$$.fragment,He),rt=i(He),ce=n(He,"P",{"data-svelte-h":!0}),p(ce)!=="svelte-1vzm9q"&&(ce.textContent=Tt),He.forEach(s),nt=i(h),I=n(h,"DIV",{class:!0});var Oe=u(I);m(Q.$$.fragment,Oe),ot=i(Oe),ue=n(Oe,"P",{"data-svelte-h":!0}),p(ue)!=="svelte-5y602c"&&(ue.textContent=$t),Oe.forEach(s),h.forEach(s),Me=i(e),T=n(e,"H2",{class:!0});var qe=u(T);E=n(qe,"A",{id:!0,class:!0,href:!0});var It=u(E);_e=n(It,"SPAN",{});var Et=u(_e);m(X.$$.fragment,Et),Et.forEach(s),It.forEach(s),it=i(qe),pe=n(qe,"SPAN",{"data-svelte-h":!0}),p(pe)!=="svelte-1qoi9nz"&&(pe.textContent=St),qe.forEach(s),Ue=i(e),$=n(e,"DIV",{class:!0});var Ve=u($);m(ee.$$.fragment,Ve),at=i(Ve),he=n(Ve,"P",{"data-svelte-h":!0}),p(he)!=="svelte-6ojmkw"&&(he.innerHTML=wt),Ve.forEach(s),this.h()},h(){d(x,"name","hf:doc:metadata"),d(x,"content",JSON.stringify(Wt)),d(S,"id","unipcmultistepscheduler"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#unipcmultistepscheduler"),d(C,"class","relative group"),d(w,"id","tips"),d(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(w,"href","#tips"),d(y,"class","relative group"),d(M,"id","diffusers.UniPCMultistepScheduler"),d(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(M,"href","#diffusers.UniPCMultistepScheduler"),d(P,"class","relative group"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(E,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(T,"class","relative group"),d($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,x),l(e,ve,a),l(e,C,a),t(C,S),t(S,fe),g(N,fe,null),t(C,We),t(C,te),l(e,be,a),l(e,H,a),l(e,xe,a),l(e,O,a),l(e,Ce,a),l(e,q,a),l(e,ye,a),l(e,V,a),l(e,Pe,a),l(e,y,a),t(y,w),t(w,me),g(z,me,null),t(y,je),t(y,se),l(e,Te,a),l(e,W,a),l(e,$e,a),l(e,j,a),l(e,Se,a),l(e,P,a),t(P,M),t(M,ge),g(R,ge,null),t(P,Re),t(P,re),l(e,we,a),l(e,c,a),g(B,c,null),t(c,Be),t(c,ne),t(c,Je),t(c,oe),t(c,Ye),t(c,U),g(J,U,null),t(U,Ze),t(U,ie),t(c,Ke),t(c,D),g(Y,D,null),t(D,Ge),t(D,ae),t(c,Qe),t(c,F),g(Z,F,null),t(F,Xe),t(F,de),t(c,et),t(c,k),g(K,k,null),t(k,tt),t(k,le),t(c,st),t(c,L),g(G,L,null),t(L,rt),t(L,ce),t(c,nt),t(c,I),g(Q,I,null),t(I,ot),t(I,ue),l(e,Me,a),l(e,T,a),t(T,E),t(E,_e),g(X,_e,null),t(T,it),t(T,pe),l(e,Ue,a),l(e,$,a),g(ee,$,null),t($,at),t($,he),De=!0},p:Nt,i(e){De||(_(N.$$.fragment,e),_(z.$$.fragment,e),_(R.$$.fragment,e),_(B.$$.fragment,e),_(J.$$.fragment,e),_(Y.$$.fragment,e),_(Z.$$.fragment,e),_(K.$$.fragment,e),_(G.$$.fragment,e),_(Q.$$.fragment,e),_(X.$$.fragment,e),_(ee.$$.fragment,e),De=!0)},o(e){v(N.$$.fragment,e),v(z.$$.fragment,e),v(R.$$.fragment,e),v(B.$$.fragment,e),v(J.$$.fragment,e),v(Y.$$.fragment,e),v(Z.$$.fragment,e),v(K.$$.fragment,e),v(G.$$.fragment,e),v(Q.$$.fragment,e),v(X.$$.fragment,e),v(ee.$$.fragment,e),De=!1},d(e){e&&(s(ve),s(C),s(be),s(H),s(xe),s(O),s(Ce),s(q),s(ye),s(V),s(Pe),s(y),s(Te),s(W),s($e),s(j),s(Se),s(P),s(we),s(c),s(Me),s(T),s(Ue),s($)),s(x),b(N),b(z),b(R),b(B),b(J),b(Y),b(Z),b(K),b(G),b(Q),b(X),b(ee)}}}const Wt={local:"unipcmultistepscheduler",sections:[{local:"tips",title:"Tips"},{local:"diffusers.UniPCMultistepScheduler",title:"UniPCMultistepScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"UniPCMultistepScheduler"};function jt(dt){return Ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Zt extends Ot{constructor(x){super(),qt(this,x,jt,zt,At,{})}}export{Zt as component};
